### Method

# Gtk Widgetget_allocated_width

deprecated: 4.12

#### Declaration [src]

    int
    gtk_widget_get_allocated_width (
      GtkWidget* widget
    )

#### Description [src]

Returns the width that has currently been allocated to `widget`.

To learn more about widget sizes, see the coordinate system overview.

Deprecated since: 4.12

Use `gtk_widget_get_width()` instead.

#### Return value

Type: `int`

The width of the `widget`.